<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Lucky Dice</title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>

    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
    <div id="div-content">
      <img id="img-casino-pic" src="images/people-playing-casino.jpg" />
      <h1 id="h1-loi-chao" style="color: rgb(210, 39, 39);">
        Chào mừng đến với My Lucky Dice
      </h1>
      <img id="img-dice-pic" src="images/dice.png" />
      <button id="btn-nem" onclick="onBtnNemClick()">Ném</button>
      <h2 id="h2-ket-qua"></h2>
    </div>
  </body>

  <script>
    "use strict";
    //xu ly su kien khi nut Nem duoc an
    function onBtnNemClick() {
      var vUserObject = {
        firstname: "do",
        lastname: "nga",
        username: "ngado20",
      };

      $.ajax({
        type: "post",
        headers: {
          "Content-Type": "application/json",
        },
        url: "http://localhost:8000/devcamp-lucky-dice/dice",
        dataType: "json",
        data: JSON.stringify(vUserObject),
        success: function (paramData) {
          console.log(paramData);
          xuLiHienThi(paramData.dice);
        },
        error: function (error) {
          console.log(error);
        },
      });
    }

    function xuLiHienThi(paramDice) {
      var vDiceImage = document.getElementById("img-dice-pic");
      var vKetQuaH2 = document.getElementById("h2-ket-qua");

      switch (paramDice) {
        case 1:
          vDiceImage.src = "images/1.png";
          vKetQuaH2.style.color = "orange";
          vKetQuaH2.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
          vKetQuaH2.style.visibility = "visible";
          break;
        case 2:
          vDiceImage.src = "images/2.png";
          vKetQuaH2.style.color = "orange";
          vKetQuaH2.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
          vKetQuaH2.style.visibility = "visible";
          break;
        case 3:
          vDiceImage.src = "images/3.png";
          vKetQuaH2.style.color = "orange";
          vKetQuaH2.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
          vKetQuaH2.style.visibility = "visible";
          break;
        case 4:
          vDiceImage.src = "images/4.png";
          vKetQuaH2.style.color = "purple";
          vKetQuaH2.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
          vKetQuaH2.style.visibility = "visible";
          break;
        case 5:
          vDiceImage.src = "images/5.png";
          vKetQuaH2.style.color = "purple";
          vKetQuaH2.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
          vKetQuaH2.style.visibility = "visible";
          break;
        case 6:
          vDiceImage.src = "images/6.png";
          vKetQuaH2.style.color = "purple";
          vKetQuaH2.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
          vKetQuaH2.style.visibility = "visible";
          break;
      }
    }
  </script>
</html>
